petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSBasicSymplecticRegister

register a basic symplectic integration scheme by providing the coefficients.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSBasicSymplecticRegister(TSRosWType name,PetscInt order,PetscInt s,PetscReal c[],PetscReal d[])

Not Collective, but the same schemes should be registered on all processes on which they will be used

### Input Parameters

| name | - identifier for method
| order | - approximation order of method
| s | - number of stages, this is the dimension of the matrices below
| c | - coefficients for updating generalized position (dimension s)
| d | - coefficients for updating generalized momentum (dimension s)

### Notes

Several symplectic methods are provided, this function is only needed to create new methods.

### See Also

TSBasicSymplectic

### Level

advanced

### Location

src/ts/impls/symplectic/basicsymplectic/basicsymplectic.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages